<?php
/**
 * Embed documents shortcode
 *
 * This plugin embeds documents using Google Docs
 *
 * @package   Google Trends Shortcode
 * @author    Joan Boluda <joan@boluda.com>
 * @license   GPL-2.0+
 * @link      http://boluda.com
 * @copyright 2013 boluda.com
 *
 * @wordpress-plugin
 * Plugin Name: Embed documents shortcode
 * Plugin URI:  http://boluda.com/
 * Description: This plugin embeds documents using Google Docs.
 * Version:     1.5
 * Author:      Joan Boluda
 * Author URI:  http://boluda.com
 * Text Domain: boluda-eds
 * License:     GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 * Domain Path: /lang
 */

//Embed Documents Shortcode

//Creating shortcode here

function bld_embed_doc($attr, $content) {
return '<iframe src="http://docs.google.com/gview?url='.$attr['href'] .'&embedded=true" style="width:550px; height:650px;" frameborder="0"></iframe>';
}

add_shortcode('bld_embed_doc', 'bld_embed_doc');